Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.fpga
Class tAI

    java.lang.Object
      edu.wpi.first.wpilibj.fpga.tSystem
          edu.wpi.first.wpilibj.fpga.tAI

All Implemented Interfaces:
  ExpectedFPGASignature

    public class tAI

extends tSystem

Field Summary
`static int` | `kAverageBits_ElementMask`
`static int` | `kAverageBits_ElementSize`
`static int` | `kAverageBits_NumElements`
`static int` | `kNumSystems`
`static int` | `kOversampleBits_ElementMask`
`static int` | `kOversampleBits_ElementSize`
`static int` | `kOversampleBits_NumElements`
`static int` | `kScanList_ElementMask`
`static int` | `kScanList_ElementSize`
`static int` | `kScanList_NumElements`
`int` | `m_SystemIndex`

Fields inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`m_DeviceHandle, status`

Fields inherited from interface edu.wpi.first.wpilibj.fpga.ExpectedFPGASignature
`kBitfileName, kExpectedFPGARevision, kExpectedFPGASignature, kExpectedFPGASignatureStr, kExpectedFPGAVersion`

Constructor Summary
`tAI(int sys_index)`

Method Summary
`protected void` | `finalize()`
`int` | `getSystemIndex()`
`byte` | `readAverageBits(int bitfield_index)`
`int` | `readConfig_ConvertRate()`
`byte` | `readConfig_ScanSize()`
`int` | `readConfig()`
`long` | `readLoopTiming()`
`static int` | `readOutput()`
`byte` | `readOversampleBits(int bitfield_index)`
`static boolean` | `readReadSelect_Averaged()`
`static byte` | `readReadSelect_Channel()`
`static byte` | `readReadSelect_Module()`
`static int` | `readReadSelect()`
`byte` | `readScanList(int bitfield_index)`
`static void` | `strobeLatchOutput()`
`void` | `writeAverageBits(int bitfield_index, int value)`
`void` | `writeConfig_ConvertRate(int value)`
`void` | `writeConfig_ScanSize(int value)`
`void` | `writeConfig(int value)`
`void` | `writeOversampleBits(int bitfield_index, int value)`
`static void` | `writeReadSelect_Averaged(boolean value)`
`static void` | `writeReadSelect_Channel(int value)`
`static void` | `writeReadSelect_Module(int value)`
`static void` | `writeReadSelect(int value)`
`void` | `writeScanList(int bitfield_index, int value)`

Methods inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`getFpgaGuid, Release`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kNumSystems

    public static final int kNumSystems

See Also:
  Constant Field Values

### m_SystemIndex

    public final int m_SystemIndex

### kOversampleBits_NumElements

    public static final int kOversampleBits_NumElements

See Also:
  Constant Field Values

### kOversampleBits_ElementSize

    public static final int kOversampleBits_ElementSize

See Also:
  Constant Field Values

### kOversampleBits_ElementMask

    public static final int kOversampleBits_ElementMask

See Also:
  Constant Field Values

### kAverageBits_NumElements

    public static final int kAverageBits_NumElements

See Also:
  Constant Field Values

### kAverageBits_ElementSize

    public static final int kAverageBits_ElementSize

See Also:
  Constant Field Values

### kAverageBits_ElementMask

    public static final int kAverageBits_ElementMask

See Also:
  Constant Field Values

### kScanList_NumElements

    public static final int kScanList_NumElements

See Also:
  Constant Field Values

### kScanList_ElementSize

    public static final int kScanList_ElementSize

See Also:
  Constant Field Values

### kScanList_ElementMask

    public static final int kScanList_ElementMask

See Also:
  Constant Field Values

Constructor Detail

### tAI

    public tAI(int sys_index)

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `tSystem`

### getSystemIndex

    public int getSystemIndex()

### writeConfig

    public void writeConfig(int value)

### writeConfig_ScanSize

    public void writeConfig_ScanSize(int value)

### writeConfig_ConvertRate

    public void writeConfig_ConvertRate(int value)

### readConfig

    public int readConfig()

### readConfig_ScanSize

    public byte readConfig_ScanSize()

### readConfig_ConvertRate

    public int readConfig_ConvertRate()

### readLoopTiming

    public long readLoopTiming()

### writeOversampleBits

    public void writeOversampleBits(int bitfield_index,
                                    int value)

### readOversampleBits

    public byte readOversampleBits(int bitfield_index)

### writeAverageBits

    public void writeAverageBits(int bitfield_index,
                                 int value)

### readAverageBits

    public byte readAverageBits(int bitfield_index)

### writeScanList

    public void writeScanList(int bitfield_index,
                              int value)

### readScanList

    public byte readScanList(int bitfield_index)

### readOutput

    public static int readOutput()

### strobeLatchOutput

    public static void strobeLatchOutput()

### writeReadSelect

    public static void writeReadSelect(int value)

### writeReadSelect_Channel

    public static void writeReadSelect_Channel(int value)

### writeReadSelect_Module

    public static void writeReadSelect_Module(int value)

### writeReadSelect_Averaged

    public static void writeReadSelect_Averaged(boolean value)

### readReadSelect

    public static int readReadSelect()

### readReadSelect_Channel

    public static byte readReadSelect_Channel()

### readReadSelect_Module

    public static byte readReadSelect_Module()

### readReadSelect_Averaged

    public static boolean readReadSelect_Averaged()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"